ironic-inspector (12.1.0-2) unstable; urgency=medium

  * Uploading to unstable, fixing FTBFS (Closes: #1064814).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2024 11:30:30 +0100

ironic-inspector (12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-tz from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 14:12:19 +0100

ironic-inspector (12.0.0-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Drop sqla2.0-Fix_items_lost_in_migration.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 09:06:41 +0100

ironic-inspector (11.7.0-4) unstable; urgency=medium

  * Blacklist TestManagerDelHost.test_del_host_with_coordinator
    (Closes: #1058536).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 07:30:59 +0100

ironic-inspector (11.7.0-3) unstable; urgency=medium

  * Add sqla2.0-Fix_items_lost_in_migration.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2023 08:58:20 +0100

ironic-inspector (11.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:38:51 +0200

ironic-inspector (11.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 17:25:46 +0200

ironic-inspector (11.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:38:14 +0200

ironic-inspector (11.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046222).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 15:40:25 +0200

ironic-inspector (11.4.0-2) unstable; urgency=medium

  * Run ironic-inspector-api correctly (separate conductor + api).
  * Fix sudoers.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 12:29:49 +0200

ironic-inspector (11.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 09:07:29 +0100

ironic-inspector (11.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed obsolete Breaks/Conflicts.
  * Removed lsb-base depends.
  * Switch to debhelper-compat = 11.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - Rename-NodeInfo._lock-to-avoid-conflict-with-Mock._lock-in-tests.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:53:21 +0100

ironic-inspector (11.1.0-2) unstable; urgency=medium

  * Add Rename-NodeInfo._lock-to-avoid-conflict-with-Mock._lock-in-tests.patch,
    fixing FTBFS and autopkgtest (Closes: #1026524).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jan 2023 14:37:02 +0100

ironic-inspector (11.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Drop Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:29:38 +0200

ironic-inspector (11.0.0-2) experimental; urgency=medium

  * Add Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 15:12:28 +0200

ironic-inspector (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:26:30 +0200

ironic-inspector (10.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 16:01:08 +0200

ironic-inspector (10.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:33:40 +0100

ironic-inspector (10.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2022 12:27:26 +0100

ironic-inspector (10.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix oslo-config-generator namespace list for this release.
  * Switch to yaml policy file in /etc/ironic-inspector/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:30:11 +0200

ironic-inspector (10.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:03:10 +0200

ironic-inspector (10.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 09:23:05 +0200

ironic-inspector (10.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:55:53 +0200

ironic-inspector (10.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 09:37:41 +0200

ironic-inspector (10.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:45:19 +0200

ironic-inspector (10.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:56:09 +0100

ironic-inspector (10.4.0-3) unstable; urgency=medium

  * Blacklist failing unit tests with sqlite (Closes: #975790):
    - TestMigrationSqlite.test_upgrade_and_version
    - TestMigrationSqlite.test_walk_versions

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Jan 2021 14:12:03 +0100

ironic-inspector (10.4.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Removed --with systemd from debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:29:18 +0200

ironic-inspector (10.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 10:56:12 +0200

ironic-inspector (10.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * removed Use_latest_version_of_python_construct.patch applied upstream.
  * Rebased fix-path-to-rootwrap.patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:54:23 +0200

ironic-inspector (10.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Uploading to unstable.
  * Add Use_latest_version_of_python_construct.patch (Closes: #959632),
    fixing FTBFS with latest construct.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:57:08 +0200

ironic-inspector (10.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Apr 2020 00:53:06 +0200

ironic-inspector (8.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed versions of packages when satisfied in Buster.
  * Rebased fix-path-to-rootwrap.patch.
  * Removed py3.7-fix-errno-has-moved.patch applied upstream.
  * Removed Eliminate_SQL_injection_vulnerability_in_node_cache.patch.
  * Removed python3- prefix when calling oslo config generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 16:20:02 +0200

ironic-inspector (8.0.0-3) unstable; urgency=high

  * CVE-2019-10141: SQL Injection vulnerability when receiving introspection
    data. Applied upstream fix: Eliminate SQL injection vulnerability in
    node_cache (Closes: #929332).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2019 09:20:30 +0200

ironic-inspector (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:53:42 +0200

ironic-inspector (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Refreshed fix-path-to-rootwrap.patch.
  * Add py3.7-fix-errno-has-moved.patch.
  * Add --namespace oslo.policy when generating inspector.conf.
  * Fixed postrm debconf template name (Closes: #904461).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 14:19:09 +0200

ironic-inspector (7.2.0-4) unstable; urgency=medium

  * Add support for dbconfig-common and debconf setup of keystone_authtoken.
  * Also purge policy.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Mar 2018 15:44:38 +0200

ironic-inspector (7.2.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed generation of python.json with --format json.
  * Add missing dh_install call (Closes: #893065).
  * Add dh_python3 --shebang=/usr/bin/python3.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:08:30 +0000

ironic-inspector (7.2.0-2) unstable; urgency=medium

  * Fixed debian/copyright holder list and years.
  * More Python3 fixes.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 17:00:04 +0000

ironic-inspector (7.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Rebase ironic-inspector-rootwrap path patch.
  * Update oslo-config-generator namespace list.
  * Switch package to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 08:43:27 +0000

ironic-inspector (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Require newer version of python-construct (Closes: #882989)

 -- Ondřej Nový <onovy@debian.org>  Tue, 28 Nov 2017 15:59:29 +0100

ironic-inspector (6.0.0-1) unstable; urgency=medium

  * Updating vcs fields.
  * Updating copyright format url.
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version: 4.1.1.
  * Deprecating priority extra as per policy 4.0.1.
  * New upstream release:
    - Can (again) be installed without crashing (Closes: #881598).
  * Fixed (build-)depends for this release.
  * Rebase patch.
  * Do not add python-pydot3 and python-construct as b-d, as that's for the doc
    and we won't package it.
  * Only run unit tests, not functional.
  * Now generating inspector.conf with oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Nov 2017 11:29:54 +0100

ironic-inspector (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Bumped debhelper compat version to 10
  * Added lsb-base to depends
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Nový <onovy@debian.org>  Fri, 20 Jan 2017 11:34:27 +0100

ironic-inspector (4.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:51:51 +0200

ironic-inspector (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URLs.
  * Fix path file patched in fix-path-to-rootwrap.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 20:01:51 +0200

ironic-inspector (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 15:14:58 +0000

ironic-inspector (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:44:01 +0100

ironic-inspector (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 13:47:12 +0100

ironic-inspector (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 10:36:30 +0000

ironic-inspector (2.2.1-2) unstable; urgency=medium

  * Also rm /var/log/ironic-inspector on purge.

 -- Thomas Goirand <zigo@debian.org>  Sat, 31 Oct 2015 11:34:16 +0100

ironic-inspector (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed (build-)depends for this release.
  * Also package a sudoers file, as ironic-inspector now uses rootwrap.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 20:28:42 +0000

ironic-inspector (2.1.0-1) experimental; urgency=medium

  * Follow upstream and rename the package as ironic-inspector.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 18:24:07 +0200

ironic-discoverd (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #797056)

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Aug 2015 14:31:11 +0200
